### Interface

# Goa Music

since: 3.18.0

#### Description [src]

    interface Goa.Music : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Music.

Available since: 3.18.0

#### Prerequisite

In order to implement Music, your type must inherit from`GObject`.

#### Implementations

- GoaMusicProxy
- GoaMusicSkeleton

#### Functions

###### goa_music_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Music D-Bus interface.

since: 3.18.0

###### goa_music_override_properties

Overrides all `GObject` properties in the `GoaMusic` interface for a concrete class. The properties are overridden in the order they are defined.

since: 3.18.0

#### Interface structure

    struct GoaMusicIface {
      GTypeInterface parent_iface;

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Music.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.